<form [formGroup]="form" (ngSubmit)="submitData()">
  <div class="fields-wrapper">
    <mat-form-field>
      <input matInput formControlName="wellName" placeholder="Well Name" maxlength="255" />
    </mat-form-field>
    <mat-form-field>
      <input matInput formControlName="wellNo" placeholder="Well # (WINS)" maxlength="255" />
    </mat-form-field>
    <mat-form-field>
      <input matInput formControlName="UWI" placeholder="UWI" maxlength="255" />
    </mat-form-field>
    <mat-form-field>
      <input matInput formControlName="country" placeholder="Country" maxlength="255" />
    </mat-form-field>
    <mat-form-field>
      <input matInput formControlName="state" placeholder="State" maxlength="255" />
    </mat-form-field>
    <mat-form-field>
      <input matInput formControlName="reservoir" placeholder="Reservoir" maxlength="255" />
    </mat-form-field>
    <mat-form-field>
      <input matInput formControlName="field" placeholder="FIeld" maxlength="255" />
    </mat-form-field>
  </div>

  <div class="button-wrapper">
    <button mat-flat-button color="primary">Use this data</button>
  </div>
</form>
